[29303] trunk

source_changes at macosforge.org source_changes at macosforge.org
Thu Sep 20 13:06:02 PDT 2007


Revision: 29303
          http://trac.macosforge.org/projects/macports/changeset/29303
Author:   dluke at macports.org
Date:     2007-09-20 13:06:02 -0700 (Thu, 20 Sep 2007)

Log Message:
-----------
Build the new guide from the doc-new directory (new guide no longer requires configure to be run in base, so the script is much simpler)

Modified Paths:
--------------
    trunk/base/portmgr/GuideRegen.sh
    trunk/doc-new/guide/xml/guide.xml
    trunk/doc-new/guide/xml/portfiledev.xml
    trunk/doc-new/guide/xml/portfileref.xml
    trunk/doc-new/guide/xml/using.xml

Property Changed:
----------------
    trunk/


Property changes on: trunk
___________________________________________________________________
Name: svk:merge
   - 023a8b07-a327-4f20-9012-67c915bb7b7c:/local/branches/updates:21118
023a8b07-a327-4f20-9012-67c915bb7b7c:/local/trunk:21326
40426cdb-d25d-4106-b89a-567fc1e9311f:/local/trunk:22799
a2b01108-8822-4c85-91cd-1541804339d8:/local/macports:20632
b1dfe3f6-5eec-4605-9368-528ffc7f2357:/local/branches/libdnet-maintainer:20898
b1dfe3f6-5eec-4605-9368-528ffc7f2357:/local/branches/p5-app-cli:20923
b1dfe3f6-5eec-4605-9368-528ffc7f2357:/local/branches/p5-list-moreutils:20919
b1dfe3f6-5eec-4605-9368-528ffc7f2357:/local/branches/p5-path-class:20929
b1dfe3f6-5eec-4605-9368-528ffc7f2357:/local/branches/updates:20946
b1dfe3f6-5eec-4605-9368-528ffc7f2357:/local/trunk:20947
c8fed718-8f51-4de5-9efe-445163856910:/local:29101
d9146071-5dc1-4620-afc7-8ba4e23d31df:/local/trunk:21690
e4b2a6a8-e742-4924-8f8a-3771363e925e:/local/trunk:25771
f2dd1c64-7982-4318-98ce-263798263e0a:/local:28228
fd7794eb-1723-4a49-8be4-c69b2a184b6d:/local/trunk:24020
   + 023a8b07-a327-4f20-9012-67c915bb7b7c:/local/branches/updates:21118
023a8b07-a327-4f20-9012-67c915bb7b7c:/local/trunk:21326
40426cdb-d25d-4106-b89a-567fc1e9311f:/local/trunk:22799
a2b01108-8822-4c85-91cd-1541804339d8:/local/macports:20632
b1dfe3f6-5eec-4605-9368-528ffc7f2357:/local/branches/libdnet-maintainer:20898
b1dfe3f6-5eec-4605-9368-528ffc7f2357:/local/branches/p5-app-cli:20923
b1dfe3f6-5eec-4605-9368-528ffc7f2357:/local/branches/p5-list-moreutils:20919
b1dfe3f6-5eec-4605-9368-528ffc7f2357:/local/branches/p5-path-class:20929
b1dfe3f6-5eec-4605-9368-528ffc7f2357:/local/branches/updates:20946
b1dfe3f6-5eec-4605-9368-528ffc7f2357:/local/trunk:20947
c8fed718-8f51-4de5-9efe-445163856910:/local:29331
d9146071-5dc1-4620-afc7-8ba4e23d31df:/local/trunk:21690
e4b2a6a8-e742-4924-8f8a-3771363e925e:/local/trunk:25771
f2dd1c64-7982-4318-98ce-263798263e0a:/local:28228
fd7794eb-1723-4a49-8be4-c69b2a184b6d:/local/trunk:24020

Modified: trunk/base/portmgr/GuideRegen.sh
===================================================================
--- trunk/base/portmgr/GuideRegen.sh	2007-09-20 19:34:41 UTC (rev 29302)
+++ trunk/base/portmgr/GuideRegen.sh	2007-09-20 20:06:02 UTC (rev 29303)
@@ -37,7 +37,7 @@
 
 # Function to spam people in charge if something goes wrong during guide regen.
 bail () {
-    mail -s "Guide Regen failure on ${DATE}" $SPAM_LOVERS < $FAILURE_LOG
+    mail -s "Guide Regen Failure on ${DATE}" $SPAM_LOVERS < $FAILURE_LOG
     cleanup; exit 1
 }
 
@@ -55,33 +55,16 @@
 fi
 
 # Checkout/update the doc tree
-if [ -d ${SRCTREE}/doc ]; then
-    $SVN update ${SRCTREE}/doc > $FAILURE_LOG 2>&1 \
-        || { echo "Updating the doc tree from $REPO_BASE/trunk/doc failed." >> $FAILURE_LOG; bail ; }
+if [ -d ${SRCTREE}/doc-new ]; then
+    $SVN update ${SRCTREE}/doc-new > $FAILURE_LOG 2>&1 \
+        || { echo "Updating the doc tree from $REPO_BASE/trunk/doc-new failed." >> $FAILURE_LOG; bail ; }
 else
-    $SVN checkout ${REPO_BASE}/trunk/doc ${SRCTREE}/doc > $FAILURE_LOG 2>&1 \
-        || { echo "Checking out the doc tree from $REPO_BASE/trunk/s failed." >> $FAILURE_LOG; bail ; }
+    $SVN checkout ${REPO_BASE}/trunk/doc-new ${SRCTREE}/doc-new > $FAILURE_LOG 2>&1 \
+        || { echo "Checking out the doc tree from $REPO_BASE/trunk/doc-new failed." >> $FAILURE_LOG; bail ; }
 fi
 
-# Checkout/update HEAD
-if [ -d ${SRCTREE}/base ]; then
-    $SVN update ${SRCTREE}/base > $FAILURE_LOG 2>&1 \
-        || { echo "Updating the trunk from $REPO_BASE/trunk/base failed." >> $FAILURE_LOG; bail ; }
-else
-    $SVN checkout ${REPO_BASE}/trunk/base ${SRCTREE}/base > $FAILURE_LOG 2>&1 \
-        || { echo "Checking out the trunk from $REPO_BASE/trunk/base failed." >> $FAILURE_LOG; bail ; }
-fi
-
-# (re)configure.
-cd ${SRCTREE}/base/ && \
-    ./configure \
-    --prefix=${PREFIX} \
-    --with-install-user=${MP_USER} \
-    --with-install-group=${MP_GROUP} > $FAILURE_LOG 2>&1 \
-    || { echo "./configure script failed." >> $FAILURE_LOG ; bail ; }
-
 # (re)build
-{ cd ${SRCTREE}/doc/guide && make xhtml new > $FAILURE_LOG 2>&1 ; } \
+{ cd ${SRCTREE}/doc/doc-new && make guide > $FAILURE_LOG 2>&1 ; } \
     || { echo "make failed." >> $FAILURE_LOG ; bail ; }
 
 # At this point the guide was regen'd successfuly, so we cleanup before we exit.

Modified: trunk/doc-new/guide/xml/guide.xml
===================================================================
--- trunk/doc-new/guide/xml/guide.xml	2007-09-20 19:34:41 UTC (rev 29302)
+++ trunk/doc-new/guide/xml/guide.xml	2007-09-20 20:06:02 UTC (rev 29303)
@@ -59,6 +59,4 @@
   <xi:include href="internals.xml" xmlns:xi="http://www.w3.org/2001/XInclude" />
 
   <xi:include href="project.xml" xmlns:xi="http://www.w3.org/2001/XInclude" />
-
-  <xi:include href="glossary.xml" xmlns:xi="http://www.w3.org/2001/XInclude" />
-</book>
+</book>
\ No newline at end of file

Modified: trunk/doc-new/guide/xml/portfiledev.xml
===================================================================
--- trunk/doc-new/guide/xml/portfiledev.xml	2007-09-20 19:34:41 UTC (rev 29302)
+++ trunk/doc-new/guide/xml/portfiledev.xml	2007-09-20 20:06:02 UTC (rev 29303)
@@ -66,8 +66,8 @@
     install</command> steps, which conform to phases configure, build, and
     destroot respectively. For applications that do not conform to this
     standard behavior, any installation phase may be augmented using <link
-    linkend="development.examples.augment">pre- and/or post- phases</link>, or
-    even <link linkend="development.examples.override">overridden</link> or
+    linkend="development.examples.pre-post">pre- and/or post- phases</link>,
+    or even <link linkend="development.examples.override">overridden</link> or
     <link linkend="development.examples.eliminate">eliminated</link>. See
     <link linkend="development.examples">Example Portfiles</link>
     below.</para>
@@ -514,8 +514,8 @@
 
         <listitem>
           <para>Now use the Unix command <command>diff -u </command>to create
-          a "unified" diff patch file. Put the name of the port in the
-          patchfile, for example, Portfile-rrdtool.diff.</para>
+          a "unified" diff patch file. Name the patchfile
+          appropriately.</para>
 
           <programlisting><prompt>%%</prompt> <userinput>diff -u Portfile.orig Portfile &gt; Portfile-rrdtool.diff</userinput></programlisting>
         </listitem>
@@ -615,18 +615,9 @@
           <para>Now you may place the patch
           <filename>patch-Makefile.in</filename> in the path ${portpath}/files
           of a local repository (or commit it to subversion) and use it in a
-          port using the <code>patchfiles</code> keyword.</para>
+          port using the patchfiles keyword.</para>
 
           <programlisting>patchfiles              patch-Makefile.in</programlisting>
-
-          <note>
-            <para>You should make a patch file for each file to be patched,
-            though if you obtain a patch from another source that patches
-            multiple files it is permissible to use it that way. Patch
-            filenames should generally be of the form
-            "patch-&lt;directory&gt;-&lt;filename&gt;", as shown in this
-            example: <filename>patch-src-Makefile.in</filename>.</para>
-          </note>
         </listitem>
       </orderedlist>
     </section>
@@ -635,9 +626,8 @@
       <title>Manually Applying Patches</title>
 
       <para>Though MacPorts applies patch files automatically, you may want to
-      know how to apply patch files manually if you want to test patch files
-      you have created or you wish to apply uncommitted Portfile
-      patches.</para>
+      know how to apply patch files manually if you want to apply uncommitted
+      Portfile patches or other similar uses.</para>
 
       <orderedlist>
         <listitem>
@@ -652,7 +642,7 @@
           <para>Now apply the patch that is on the current user's desktop. The
           patchfile knows the filename of the file to be patched.</para>
 
-          <programlisting><prompt>%%</prompt> <userinput>patch -p0 &lt; ~/Desktop/Portfile-postfix.diff</userinput></programlisting>
+          <programlisting><prompt>%%</prompt> <userinput>patch &lt; ~/Desktop/Portfile.diff</userinput></programlisting>
 
           <screen>patching file Portfile</screen>
         </listitem>
@@ -670,27 +660,19 @@
     <section id="development.practices.dont-overwrite">
       <title>Don't Overwrite Config Files</title>
 
-      <para>TODO:</para>
+      <para></para>
     </section>
 
     <section id="development.practices.install-docs">
       <title>Install Docs and Examples</title>
 
-      <para>TODO:</para>
+      <para></para>
     </section>
 
     <section id="development.practices.provide-messages">
       <title>Provide User Messages</title>
 
-      <para>TODO:</para>
+      <para></para>
     </section>
-
-    <section id="development.practices.use-variables">
-      <title>Use Variables</title>
-
-      <para>TODO: Set variables so changing paths may be done in one place;
-      use them anytime it makes updates simpler: distname
-      ${name}-src-${version}</para>
-    </section>
   </section>
 </chapter>
\ No newline at end of file

Modified: trunk/doc-new/guide/xml/portfileref.xml
===================================================================
--- trunk/doc-new/guide/xml/portfileref.xml	2007-09-20 19:34:41 UTC (rev 29302)
+++ trunk/doc-new/guide/xml/portfileref.xml	2007-09-20 20:06:02 UTC (rev 29303)
@@ -16,7 +16,7 @@
     <command>configure</command>, <command>make</command>, and <command>make
     install</command> steps, but for applications that do not conform to this
     behavior, installation phases may be declared in a Portfile to <link
-    linkend="development.examples.augment">augment</link> or <link
+    linkend="development.examples.pre-post">augment</link> or <link
     linkend="development.examples.override">override</link> the default
     behavior as described in the <link linkend="development">Portfile
     Development</link> chapter.</para>

Modified: trunk/doc-new/guide/xml/using.xml
===================================================================
--- trunk/doc-new/guide/xml/using.xml	2007-09-20 19:34:41 UTC (rev 29302)
+++ trunk/doc-new/guide/xml/using.xml	2007-09-20 20:06:02 UTC (rev 29303)
@@ -42,7 +42,7 @@
       <screen>DEBUG: Rebuilding the MacPorts base system if needed.
 DEBUG: Synchronizing ports tree(s)
 Synchronizing from rsync://rsync.macports.org/release/ports/
-DEBUG: /usr/bin/rsync -rtzv --delete-after rsync://rsync.macports.org/release/ports/
+DEBUG: /usr/bin/rsync -rtzv rsync://rsync.macports.org/release/ports/
 receiving file list ... done
 
 [ ... trimmed ... ]

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.macosforge.org/pipermail/macports-changes/attachments/20070920/91a7536b/attachment.html


More information about the macports-changes mailing list